Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class AbstractConfirmationElementHandler<C extends Confirmation>

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler<C>
                  org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler<C>

All Implemented Interfaces:
  OWLlinkElementHandler<C>, OWLlinkResponseElementHandler<C>

Direct Known Subclasses:
  AbstractOWLlinkKBResponseElementHandler

    public abstract class AbstractConfirmationElementHandler<C extends Confirmation>

extends AbstractOWLlinkResponseElementHandler<C>
implements OWLlinkResponseElementHandler<C>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 22.10.2009

Constructor Summary
`AbstractConfirmationElementHandler(OWLXMLParserHandler handler)`

Method Summary
`void` | `attribute(java.lang.String localName, java.lang.String value)`
`void` | `startElement(java.lang.String name)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler
`endElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLLinkObject, getOWLObject, getParentHandler, getRequest, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.parser.OWLlinkElementHandler
`getOWLLinkObject, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Constructor Detail

### AbstractConfirmationElementHandler

    public AbstractConfirmationElementHandler(OWLXMLParserHandler handler)

Method Detail

### attribute

    public void attribute(java.lang.String localName,
                          java.lang.String value)
                   throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

### startElement

    public void startElement(java.lang.String name)
                      throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD